Loading...
Searching...
No Matches
dolfin::AssemblerBase Class Reference

Provide some common functions used in assembler classes. More...

`#include <AssemblerBase.h>`

Inheritance diagram for dolfin::AssemblerBase:
[legend]

## Public Member Functions

| AssemblerBase ()
| Constructor.
void | init_global_tensor (GenericTensor &A, const Form &a)

## Public Attributes

bool | add_values
bool | finalize_tensor
bool | keep_diagonal

## Static Protected Member Functions

static void | check (const Form &a)
| Check form.
static std::string | progress_message (std::size_t rank, std::string integral_type)
| Pretty-printing for progress bar.

## Detailed Description

Provide some common functions used in assembler classes.

## Member Function Documentation

## init_global_tensor()

void AssemblerBase::init_global_tensor | ( | GenericTensor & | A,
|  | const Form & | a )

Initialize global tensor

Parameters

  [out] | A | (GenericTensor&) GenericTensor to assemble into
  [in] | a | (Form&) Form to assemble from

## Member Data Documentation

## add_values

bool dolfin::AssemblerBase::add_values

add_values (bool) Default value is false. This controls whether values are added to the given tensor or if it is zeroed prior to assembly.

## finalize_tensor

bool dolfin::AssemblerBase::finalize_tensor

finalize_tensor (bool) Default value is true. This controls whether the assembler finalizes the given tensor after assembly is completed by calling A.apply().

## keep_diagonal

bool dolfin::AssemblerBase::keep_diagonal

keep_diagonal (bool) Default value is false. This controls whether the assembler enures that a diagonal entry exists in an assembled matrix. It may be removed if the matrix is finalised.

The documentation for this class was generated from the following files:

- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/fem/AssemblerBase.h
- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/fem/AssemblerBase.cpp